%define name kdev_htdig
%define version 1.1
%define release 2mdk

Summary: 	ht://Dig-Support for KDevelop
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/C++
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
Requires: 	htdig
BuildRoot: 	%_tmppath/%name-%version-%release-root

%description
Enables the use of ht://Dig in KDevelop.

%prep
%setup -n %{name}

%build

%install
install -d -m 0755 $RPM_BUILD_ROOT%_datadir/apps/kdevelop/tools
install -m 0644 htdig.conf $RPM_BUILD_ROOT%_datadir/apps/kdevelop/tools
install -d -m 0755 $RPM_BUILD_ROOT%_datadir/apps/kdevelop/htdig/common
install -m 0644 *.html $RPM_BUILD_ROOT%_datadir/apps/kdevelop/htdig/common
install -d -m 0777 $RPM_BUILD_ROOT%_datadir/apps/kdevelop/htdig/db
# create links to htdig
install -d -m 0755 $RPM_BUILD_ROOT%_bindir
(cd $RPM_BUILD_ROOT%_bindir && ln -sf /var/www/cgi-bin/htsearch .)
(cd $RPM_BUILD_ROOT%_bindir && ln -sf %_sbindir/htdig .)
(cd $RPM_BUILD_ROOT%_bindir && ln -sf %_sbindir/htfuzzy .)
(cd $RPM_BUILD_ROOT%_bindir && ln -sf %_sbindir/htmerge .)
(cd $RPM_BUILD_ROOT%_bindir && ln -sf %_sbindir/htnotify .)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# binary are in htdig-3.2
#%_bindir/*
%dir %_datadir/apps/kdevelop/
%dir %_datadir/apps/kdevelop/tools/
%_datadir/apps/kdevelop/tools/*
%dir %_datadir/apps/kdevelop/htdig/
%dir %_datadir/apps/kdevelop/htdig/common/
%_datadir/apps/kdevelop/htdig/common/*.html	
#%_datadir/apps/kdevelop/htdig/db/

%changelog
* Sat Sep 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- Rebuild
- Clean spec

* Wed Feb 14 2001  Daouda Lo <daouda@mandrakesoft.com> 1.1-1mdk
- first Mandrake package .

